<?php

/**
 * @package     VP Prime Framework
 *
 * @author      Abhishek Das <info@virtueplanet.com>
 * @link        https://www.virtueplanet.com
 * @copyright   Copyright (C) 2023-2025 Virtueplanet Services LLP. All Rights Reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ModuleHelper;
use Virtueplanet\Module\Slider\Site\Helper\SliderHelper;

defined('_JEXEC') or die;

/** @var \Joomla\CMS\Application\SiteApplication $app */
$app      = Factory::getApplication();
$document = $app->getDocument();
$items    = SliderHelper::getList($module, $params);

if (!empty($items)) {
    require ModuleHelper::getLayoutPath('mod_vpprime_slider', $params->get('layout', 'default'));
}
